Subject: RE: bug#35354: 26.2; `dired-do-query-replace-regexp': How to replace only word-delimited matches?

From: Drew Adams <[email-masked]>
Date: Sat, 22 Jan 2022 16:13:47 +0000

> > I think it might be just to save the user
> > from typing `\<' and `\>'.
> 
> Seems like that to me, too, so I don't think there's
> anything to do here, and I'm closing this bug report.

So all of these points are ignored?

1.
  "Your example points out a regression.  It was introduced
   in Emacs 24.5.  In Emacs 20-23 (and probably pre-20) it
   acts correctly (per the doc): both lines of your example
   are treated the same: fooooo bar is matched.  Starting
   with Emacs 24.5 the doc is no longer respected."

2.
  "for the `query-replace' case it is useful as such.
   For the `query-replace-regexp' case it is not as useful.

   But even in that case it can be useful in this sense:
   You can _reuse_ a regexp in a different search, and just
   use a prefix arg to temporarily restrict the matches to
   having word boundaries - no need to edit the regexp.
   Not a big win, granted, but if you need to go back and
   forth then it could be a convenience."

3.
  "The point of this bug report is that if we replace the
   command used by `Q' with another then we should maybe
   have it do at least as much.

   DELIMITED has been in Emacs for the functions that use
   it (in replace.el) for a very long time."

4. Everything said about `dired-do-query-replace-regexp'
and `dired-do-find-regexp-and-replace'.